## panoramisk 1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/panoramisk.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/panoramisk.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/panoramisk"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/panoramisk"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
panoramisk (1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build documentation with python3 sphinx; Closes: #943147
  * debian/patches/tool-pytest.patch
    - rename pytest section to `tool:pytest`, fixes a FTBFS

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Jan 2020 21:34:39 -0500

panoramisk (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstream fix for compatibility with Python 3.7.
    (Closes: #904368)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Aug 2018 23:47:57 +0300

panoramisk (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #829504)

 -- Orestis Ioannou <orestis@oioannou.com>  Tue, 04 Oct 2016 19:05:37 +0200

=== debian/control ===
Source: panoramisk
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-sphinx,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: http://panoramisk.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/panoramisk.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/panoramisk.git

Package: panoramisk
Architecture: all
Depends:
 python3-panoramisk,
 ${misc:Depends},
 ${python3:Depends},
Section: comm
Description: asyncio based library to play with asterisk (Python 3 binary)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This is the command line package.

Package: python3-panoramisk
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio based library to play with asterisk (Python 3 library)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This is the Python 3 library package.

Package: python-panoramisk-doc
Architecture: all
Depends:
 ${misc:Depends},
Section: doc
Description: asyncio based library to play with asterisk (doc)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=panoramisk

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C docs html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
	dh_auto_build

override_dh_auto_test:
	PYTHONPATH=. dh_auto_test

override_dh_install:
	dh_install
	rm -v debian/python3-panoramisk/usr/bin/panoramisk

## panoramisk 1.4

=== debian/changelog ===
panoramisk (1.4-2) unstable; urgency=medium

  * Team upload.
  * Acknowledge all previous NMUs.
    + Patches in NMUs are all dropped, merged upstream.
  * debian/salsa-ci.yml: Add Salsa CI support.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Sep 2021 23:16:14 -0400

panoramisk (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/: Reformat using "wrap-and-sort -abst".
  * debian/control:
    + Add new test build-dependencies.
    + Bump to debhelper compat v13.
    + Bump Standards-Version to 4.6.0.
    + Correctly set Built-Using and Depends with ${sphinxdoc:Depends}
      and ${sphinxdoc:Built-Using} for package python-panoramisk-doc.
      (Closes: #988774)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Sep 2021 23:08:47 -0400

=== debian/control ===
Source: panoramisk
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Orestis Ioannou <orestis@oioannou.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-coverage <!nocheck>,
 python3-pytest,
 python3-pytest-asyncio <!nocheck>,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: http://panoramisk.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/panoramisk.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/panoramisk

Package: panoramisk
Architecture: all
Depends:
 python3-panoramisk,
 ${misc:Depends},
 ${python3:Depends},
Section: comm
Description: asyncio based library to play with asterisk (Python 3 binary)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This is the command line package.

Package: python-panoramisk-doc
Architecture: all
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Section: doc
Description: asyncio based library to play with asterisk (doc)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This package contains the HTML documentation.

Package: python3-panoramisk
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: asyncio based library to play with asterisk (Python 3 library)
 Panoramisk is a library based on python’s AsyncIO to play with Asterisk’s
 manager.
 It uses the TCP manager server to listen to events and send actions.
 .
 This is the Python 3 library package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=panoramisk

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	$(MAKE) -C docs html

override_dh_auto_test:
	PYTHONPATH=. dh_auto_test

execute_after_dh_install:
	rm -v debian/python3-panoramisk/usr/bin/panoramisk

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/panoramisk/panoramisk-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
